Connexion

Besoin d'aide ? Une question ? Un avis ? Rejoignez nous sur notre salon IRC pour clavarder

Forum

Logiciels » Autres logiciels Ne devrait-il pas y avoir un fichier composer.phar dans l'installation de phpmyadmin ?

xuo Membre non connecté

Rang

Avatar

Inscrit le : 23/10/2011 à 18h17

Localisation : Bouc-Bel-Air

Messages: 540

Le 13/11/2020 à 21h13
Bonsoir,

J'ai voulu installer la double authentification dans phpmyadmin (phpmyadmin est installé à partir du mcc).
Pour cela, je devais installer pragmarx/google2fa.
Mais il n'y a pas de fichier composer ou composer.phar dans l'install de phpmyadmin.
Je suis donc allé en chercher un sur https://getcomposer.org/download/
Et j'ai lancé :
php composer.phar -W require pragmarx/google2fa:3.0.1
car la version 3.0.1 est celle définie dans le fichier composer.json de l'install.
Si je n'ajoute pas le ":3.0.1", je me retrouve avec une version différente (et probablement plus récente) qui ne marche pas dans cette version de phpmyadmin.
Mais dans tous les cas, je me retrouve avec pleins de nouveaux fichiers (dans le répertoire vendor) qui (je pense) ne servent strictement à rien (pour phpmyadmin).
1) est-il normal qu'aucun fichier composer.phar ne soit créé lors de l'install de phpmyadmin ?
2) y a-t-il un moyen de n'installer que le module que l'on souhaite (pragmarx/google2fa:3.0.1en l'occurence) et pas toute une ribambelle d'autres modules ? Je n'ai rien trouvé sur Internet. Je pense que ces modules sont inclus dans le fichier composer.phar que j'ai récupéré.

Merci.

Xuo.
   
Papoteur Membre non connecté

Rang

Avatar

Modérateur Équipe Mageia

Inscrit le : 03/10/2011 à 22h16

Localisation : Metz

Messages: 8271

Le 14/11/2020 à 09h39
Bonjour,
De manière étonnante, composer n'a jamais intégré à Mageia, ni même réclamé.
Il faudrait ouvrir un rapport sur le bugzilla. A mon sens il doit être indépendant, puisqu'il est utile à bien d'autres outils que phpmyadmin.


Yves
   
Répondre
Vous n'êtes pas autorisé à écrire dans cette catégorie